package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.RolePermission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RolePermissionMapper {
    int insert(@Param("rolePermission") RolePermission rolePermission);

    int insertSelective(@Param("rolePermission") RolePermission rolePermission);

    int insertList(@Param("rolePermissions") List<RolePermission> rolePermissions);

    int update(@Param("rolePermission") RolePermission rolePermission);

    int delRolePermissionByRoleId(@Param("roleId") Integer roleId, @Param("updateBy") String updateBy);

    int delRolePermissionByPid(@Param("pid") Integer pid, @Param("updateBy") String updateBy);
}
