package com.zoniot.ccrc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class BuildingSelectDto implements Serializable {
    private static final long serialVersionUID = -3204557875996317038L;
    @ApiModelProperty(value = "code", position = 1)
    private Integer code;

    @ApiModelProperty(value = "父类", position = 2)
    private Integer pid;

    @ApiModelProperty(value = "名称", position = 3)
    private String name;

    @ApiModelProperty(value="维度编码", position = 4)
    private String dimensionCode;

    @ApiModelProperty(value = "状态", position = 5)
    private Integer status;

    @ApiModelProperty(value = "数量统计", position = 6)
    private Integer num;

    @ApiModelProperty(value = "经度", position = 7)
    private Double longitude;

    @ApiModelProperty(value = "纬度", position = 8)
    private Double latitude;

    @ApiModelProperty(value = "子类", position = 9)
    private List<BuildingSelectDto> children;
}
