package com.zoniot.ccrc.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * (GridManagement)实体类
 *
 * @author hym
 * @since 2021-03-17 11:19:49
 */
@Data
@ApiModel
public class GridManagement implements Serializable {
    private static final long serialVersionUID = -81724162788829386L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private Long deviceId;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String customerNo;
    /**
     * 客户手机
     */
    @ApiModelProperty(value = "客户手机")
    private String customerPhone;
    /**
     * 客户名称
     */
    @ApiModelProperty(value = "客户名称")
    private String customerName;
    /**
     * 标签
     */
    @ApiModelProperty(value = "标签")
    private String label;
    /**
     * 紧急联系人
     */
    @ApiModelProperty(value = "紧急联系人")
    private String emergencyContact;
    /**
     * 紧急联系人电话
     */
    @ApiModelProperty(value = "紧急联系人电话")
    private String emergencyContactPhoneNumber;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Integer userId;
    /**
     * 默认客户
     */
    @ApiModelProperty(value = "默认客户")
    private Integer isDefault;
    @ApiModelProperty(value = "")
    private String createBy;
    @ApiModelProperty(value = "")
    private String updateBy;
    @ApiModelProperty(value = "")
    private Date createTime;
    @ApiModelProperty(value = "")
    private Date updateTime;
    @ApiModelProperty(value = "")
    private Integer status;
    @ApiModelProperty(value = "水表电子号")
    private String waterMeterNo;
    @ApiModelProperty(value = "水表档案号")
    private String waterMeterFileNo;
    @ApiModelProperty(value = "机构")
    private String orgName;
    @ApiModelProperty(value = "建筑")
    private String bulidingName;
    @ApiModelProperty(value = "安装地址")
    private String address;
}