package com.zoniot.ccrc.service;



import com.zoniot.ccrc.dto.UseWaterDto;
import com.zoniot.ccrc.repository.MongoMeterReadRecord;
import org.springframework.data.mongodb.core.query.Query;

import java.util.List;

public interface MongoMeterReadRecordService {

    List<MongoMeterReadRecord> findMongoMeterReadRecordList(Query query);

    List<UseWaterDto> getRealTimeUseWater(Long deviceId, Integer startDate, Integer endDate);

    List<UseWaterDto> getUseWaterByMonth(Long deviceId, Integer startDate, Integer endDate);

    Double getDeviceVolume(Long deviceId, Integer startDate, Integer endDate);
    boolean complyWithWarningRules(Long deviceId,Integer type);
}
