package com.zoniot.ccrc.service;


import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.dto.BuildingSelectDto;
import com.zoniot.ccrc.dto.WarningLogDto;
import com.zoniot.ccrc.entity.WarningLog;

import java.time.LocalDateTime;
import java.util.List;

public interface WarningLogService{


    int insertSelective(WarningLog record);

    int updateByPrimaryKeySelective(WarningLog record);

    Pagination<WarningLogDto> getList(Integer channelId, String deviceNo, Integer warningType, String clientName, Integer feedbackStatus, Integer provinceId, Integer cityId, Integer regionId, Integer communityId, Integer buildingId, LocalDateTime startDate, LocalDateTime endDate, int pageNum, int pageSize);

    List<BuildingSelectDto> getAreaList(Integer channelId, String deviceNo, Integer warningType, String clientName, Integer feedbackStatus, LocalDateTime startDate, LocalDateTime endDate);

}
