package com.zoniot.ccrc.dao;


import com.zoniot.ccrc.dto.BuildingDto;
import com.zoniot.ccrc.entity.Building;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface BuildingMapper {
    int insert(@Param("building") Building building);

    int insertSelective(@Param("building") Building building);

    int replaceSelective(@Param("building") Building building);

    int insertList(@Param("buildings") List<Building> buildings);

    int updateByPrimaryKeySelective(@Param("building") Building building);

    int findByNameUnique(@Param("id") Integer id, @Param("siteId") Integer siteId, @Param("community") Integer community, @Param("name") String name);

    List<BuildingDto> getBuildingList(@Param("siteId") Integer siteId, @Param("sysId") Integer sysId, @Param("buildingName") String buildingName, @Param("province") Integer province, @Param("city") Integer city, @Param("region") Integer region, @Param("communityId") Integer communityId);

    BuildingDto getById(@Param("buildingId") Integer buildingId);

    int countBycCommunityId(@Param("communityId") Integer communityId);
}

