package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.SiteDto;
import com.zoniot.ccrc.entity.Site;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SiteMapper {
    int insert(@Param("site") Site site);

    int insertSelective(@Param("site") Site site);

    int insertList(@Param("sites") List<Site> sites);

    int updateByPrimaryKeySelective(@Param("site") Site site);

    List<SiteDto> getList(@Param("siteIds") List<Integer> siteIds, @Param("name") String name);

    int delete(@Param("id") Integer id, @Param("updateBy") String updateBy);

    int findByNameUnique(@Param("id") Integer id, @Param("name") String name);

    Site findById(@Param("siteId") Integer siteId);

    int findByCustomerIdUnique(@Param("id") Integer id, @Param("customerId") Integer customerId);

    List<Integer> getSiteCustomerIds();
}
