package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.Community;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel
@EqualsAndHashCode(callSuper=false)
public class CommunityDto extends Community {
    @ApiModelProperty(value = "省", position = 1)
    private String provinceName;

    @ApiModelProperty(value = "市", position = 2)
    private String cityName;

    @ApiModelProperty(value = "区", position = 3)
    private String regionName;

    @ApiModelProperty(value = "片区区", position = 4)
    private String districtName;

}
