package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.Device;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceDto extends Device {
    @ApiModelProperty(value = "系列", position = 100)
    private String equipmentType;

    @ApiModelProperty(value = "型号", position = 101)
    private String model;

    @ApiModelProperty(value = "厂商名称", position = 102)
    private String manufacturerName;

    @ApiModelProperty(value = "建筑名称", position = 103)
    private String buildingName;

    @ApiModelProperty(value = "小区名称", position = 110)
    private String communityName;

    @ApiModelProperty(value = "机构名称", position = 110)
    private String orgName;

    @ApiModelProperty(value="是否有无阀门 0：无 1：有",position = 125)
    private Integer isValve;

    @ApiModelProperty(value = "客户编号", position = 110)
    private String customerNo;

    @ApiModelProperty(value = "客户手机", position = 110)
    private String customerPhone;

    @ApiModelProperty(value = "客户名称", position = 110)
    private String customerName;

    @ApiModelProperty(value = "标签", position = 110)
    private String label;

    @ApiModelProperty(value = "用户名称", position = 110)
    private String username;

}
