package com.zoniot.ccrc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("地图统计")
public class MapStatisticalDto {

    @ApiModelProperty(value = "id", position = 0)
    private Integer id;

    @ApiModelProperty(value = "名称", position = 1)
    private String name;

    @ApiModelProperty(value = "建筑id", position = 2)
    private Integer buildingId;

    @ApiModelProperty(value = "正常数", position = 5)
    private Integer normalCount;

    @ApiModelProperty(value = "告警数", position = 3)
    private Integer alarmCount;

    @ApiModelProperty(value = "故障数", position = 4)
    private Integer faultCount;

    @ApiModelProperty(value = "预警设备数", position = 8)
    private Integer offlineCount;

    @ApiModelProperty(value = "未启用设备数", position = 8)
    private Integer unusedCount;

    @ApiModelProperty(value = "设备数", position = 8)
    private Integer deviceCount;

    @ApiModelProperty(value = "经度", position = 7)
    private String longitude;

    @ApiModelProperty(value = "纬度", position = 8)
    private String latitude;

    @ApiModelProperty(value = "code", position = 9)
    private String code;

    @ApiModelProperty(value = "建筑数", position = 10)
    private Integer buildingCount;

    @ApiModelProperty(value = "建筑地址", position = 11)
    private String address;

    @ApiModelProperty(value = "省", position = 101)
    private Integer province;

    @ApiModelProperty(value = "市", position = 102)
    private Integer city;

    @ApiModelProperty(value = "区", position = 103)
    private Integer region;

    @ApiModelProperty(value = "小区", position = 104)
    private Integer community;
}
