package com.zoniot.ccrc.service;

import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.entity.Role;

import java.util.List;

public interface RoleService{

    int insert(Role role);

    int insertSelective(Role role);

    int insertList(List<Role> roles);

    int update(Role role);

    /**
     * 获取角色列表
     * @return
     * @param name
     * @param pageNum
     * @param pageSize
     */
    Pagination<Role> getRoleList(String name, int pageNum, int pageSize);

    void addRole(Role role);

    void editRole(Role role);

    void delRole(Integer roleId);

    /**
     * 获取站点角色列表
     * @return
     */
    List<Role> getSiteRoleList();
}
