package com.zoniot.ccrc.service.impl;


import com.zoniot.ccrc.dao.WarningRuleMapper;
import com.zoniot.ccrc.entity.WarningRule;
import com.zoniot.ccrc.service.WarningRuleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Service
public class WarningRuleServiceImpl implements WarningRuleService {

    @Resource
    private WarningRuleMapper warningRuleMapper;

    @Override
    public int insertSelective(WarningRule record) {
        return warningRuleMapper.insertSelective(record);
    }

    @Override
    public int updateByPrimaryKeySelective(WarningRule record) {
        return warningRuleMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public List<WarningRule> getRuleList() {
        Long id=0l;

        return  warningRuleMapper.getListByDeviceId(id);
    }

    @Override
    public int addRule(Integer warningType) {
        Long deviceId=0l;;


        WarningRule warningRule = new WarningRule();
        warningRule.setDeviceId(deviceId);
        warningRule.setWarningType(warningType);
        warningRule.setStatus(1);
       // warningRule.setCreateBy(userName);
        warningRule.setDateCreate(LocalDateTime.now());
       // warningRule.setUpdateBy(userName);
        warningRule.setDateUpdate(LocalDateTime.now());
        warningRuleMapper.insertSelective(warningRule);
        return 0;
    }

    @Override
    public void delWaringRule(Integer id) {
        WarningRule warningRule = new WarningRule();
        warningRule.setId(id);
        warningRule.setStatus(0);
       // warningRule.setUpdateBy(userName);
        warningRule.setDateUpdate(LocalDateTime.now());
        warningRuleMapper.updateByPrimaryKeySelective(warningRule);
    }

}
